1. Countries
  • Overview
  • Endpoints
    • Companies
      • All companies
      • Get a company
      • Create company
      • Create payment
    • Pricing
      • Get pricing packages
    • Countries
      • All countries
        GET
      • Get a country
        GET
    • Forms
      • Get a form
    • Leads
      • All leads
      • Get a lead
      • Update status
    • Profile
      • Get profile
      • Update profile
    • Wallet
      • Get wallet balance
      • Create topup request
    • Support
      • All tickets
      • Get a ticket
      • Create a ticket
    • Notifications
      • All notifications
      • Mark as read
      • Pusher auth
    • Renewals
      • Search companies for renewal
      • Get dynamic form config for a jurisdiction
      • List renewal requests
      • Request a quote revision
      • Approve quote and confirm wallet payment
      • Initiate quote payment — send OTP
      • Get a renewal by ID
      • Submit a renewal request
    • Files
      • Get a one-time download URL for any file owned by the agent
    • Immigration
      • List immigration objectives
      • Submit an assessment and get matching programmes
      • Get application pre-fill
      • Create an application (draft or submitted)
      • List applications
      • Get an application
      • Update a draft (save again or submit)
      • Delete a draft
  • Schemas
    • QuoteConfig
    • CreatePaymentSuccessResponse
    • SuccessEnvelope
    • StandardSuccess
    • ErrorEnvelope
    • ErrorResponse
    • FieldValidation
    • DirectApplication
    • YesNo
    • FileAttachment
    • Company
    • QuoteBreakdown
    • Field
    • Objective
    • Quote
    • Section
    • AssessmentRequest
    • RenewalFormConfigBody
    • ProcessingStep
    • ProgrammeSummary
    • CreateCompanyRequest
    • ProgrammeMatch
    • RenewalFormConfig
    • CompletedDetails
    • ExternalCompany
    • ApplicationPrefill
    • Renewal
    • Applicant
    • FormConfigField
    • ApplicantFields
    • FormConfigSection
    • FamilyMember
    • FamilyMemberFields
    • FormConfig
    • Funds
    • DocumentMeta
    • Declarations
    • StoredDeclarations
    • ApplicationRequest
    • ApplicationStatus
    • Application
    • ApplicationDetail
    • CountryRef
    • CountryName
    • ApplicationListItem
  1. Countries

All countries

Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
GET
https://demoapi.base93.com/api/v1/user/external/agent/
countries

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/countries?page=1&limit=10&sort=created_at%3Adesc&filters=is_active%3Dtrue%3Bhas_company_types%3Dtrue%3Bhas_provider%3Dtrue%3Bhas_operator%3Dtrue%3Bhas_form%3Dtrue' \
--header 'Authorization: Bearer <token>'

Responses

🟢200
application/json
Bodyapplication/json

Examples
{
    "status": true,
    "response_code": 200,
    "data": {
        "countries": [
            {
                "_id": "68dcd25bbcfd02d3c6b766a1",
                "name": "United States",
                "country_code": "US",
                "currency": "USD",
                "exchange_rate": 34,
                "logo": "https://base93uat.blob.core.windows.net/base93/dev/provider/logo/flag_of_the_united_states_6f8157680b303914.svg?sv=2025-07-05&spr=https&st=2025-10-01T07%3A03%3A55Z&se=2035-10-01T07%3A03%3A55Z&sr=b&sp=r&sig=yviuH4eHO31WT1Y15rlSBx3x9%2FjPpO6rrL7fh5Ed8Ss%3D",
                "is_active": true,
                "company_types": [
                    {
                        "key": "type_1",
                        "label": "type 1",
                        "freezones": [
                            {
                                "key": "fz_1",
                                "label": "fz 1",
                                "_id": "690c91aa5aedf3e70cf34ed8"
                            },
                            {
                                "key": "fz_245",
                                "label": "fz 245",
                                "_id": "690c91aa5aedf3e70cf34ed9"
                            }
                        ],
                        "_id": "690c91aa5aedf3e70cf34ed7"
                    },
                    {
                        "key": "typ_2",
                        "label": "typ 2",
                        "freezones": [
                            {
                                "key": "fxz2",
                                "label": "fxz2",
                                "_id": "690c91aa5aedf3e70cf34edb"
                            }
                        ],
                        "_id": "690c91aa5aedf3e70cf34eda"
                    }
                ],
                "created_at": "2025-10-01T07:03:55.717Z",
                "updated_at": "2025-11-06T12:16:42.007Z",
                "__v": 0,
                "timezone": "UTC-12:00",
                "code": "+1201"
            },
            {
                "_id": "68c00973d23bcd3a5d9e4bf9",
                "name": "India",
                "country_code": "IN",
                "currency": "INR",
                "exchange_rate": 83.12,
                "logo": "https://upload.wikimedia.org/wikipedia/en/4/41/Flag_of_India.svg",
                "company_types": [
                    {
                        "key": "private_limited",
                        "label": "Private Limited",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af1d8"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af1d9"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af1da"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af1db"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af1dc"
                            },
                            {
                                "key": "telangana",
                                "label": "Telangana",
                                "_id": "68dce7efae7a0cc2ba2af1dd"
                            },
                            {
                                "key": "west_bengal",
                                "label": "West Bengal",
                                "_id": "68dce7efae7a0cc2ba2af1de"
                            },
                            {
                                "key": "rajasthan",
                                "label": "Rajasthan",
                                "_id": "68dce7efae7a0cc2ba2af1df"
                            },
                            {
                                "key": "kerala",
                                "label": "Kerala",
                                "_id": "68dce7efae7a0cc2ba2af1e0"
                            },
                            {
                                "key": "uttar_pradesh",
                                "label": "Uttar Pradesh",
                                "_id": "68dce7efae7a0cc2ba2af1e1"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af1d7"
                    },
                    {
                        "key": "limited_liability_partnership_llp",
                        "label": "Limited Liability Partnership (LLP)",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af1e3"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af1e4"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af1e5"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af1e6"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af1e7"
                            },
                            {
                                "key": "telangana",
                                "label": "Telangana",
                                "_id": "68dce7efae7a0cc2ba2af1e8"
                            },
                            {
                                "key": "west_bengal",
                                "label": "West Bengal",
                                "_id": "68dce7efae7a0cc2ba2af1e9"
                            },
                            {
                                "key": "rajasthan",
                                "label": "Rajasthan",
                                "_id": "68dce7efae7a0cc2ba2af1ea"
                            },
                            {
                                "key": "kerala",
                                "label": "Kerala",
                                "_id": "68dce7efae7a0cc2ba2af1eb"
                            },
                            {
                                "key": "uttar_pradesh",
                                "label": "Uttar Pradesh",
                                "_id": "68dce7efae7a0cc2ba2af1ec"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af1e2"
                    },
                    {
                        "key": "one_person_company_opc",
                        "label": "One Person Company (OPC)",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af1ee"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af1ef"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af1f0"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af1f1"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af1f2"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af1ed"
                    },
                    {
                        "key": "public_limited",
                        "label": "Public Limited",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af1f4"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af1f5"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af1f6"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af1f7"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af1f8"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af1f3"
                    },
                    {
                        "key": "partnership_firm",
                        "label": "Partnership Firm",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af1fa"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af1fb"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af1fc"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af1fd"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af1fe"
                            },
                            {
                                "key": "west_bengal",
                                "label": "West Bengal",
                                "_id": "68dce7efae7a0cc2ba2af1ff"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af1f9"
                    },
                    {
                        "key": "sole_proprietorship",
                        "label": "Sole Proprietorship",
                        "freezones": [
                            {
                                "key": "maharashtra",
                                "label": "Maharashtra",
                                "_id": "68dce7efae7a0cc2ba2af201"
                            },
                            {
                                "key": "delhi",
                                "label": "Delhi",
                                "_id": "68dce7efae7a0cc2ba2af202"
                            },
                            {
                                "key": "karnataka",
                                "label": "Karnataka",
                                "_id": "68dce7efae7a0cc2ba2af203"
                            },
                            {
                                "key": "tamil_nadu",
                                "label": "Tamil Nadu",
                                "_id": "68dce7efae7a0cc2ba2af204"
                            },
                            {
                                "key": "gujarat",
                                "label": "Gujarat",
                                "_id": "68dce7efae7a0cc2ba2af205"
                            },
                            {
                                "key": "west_bengal",
                                "label": "West Bengal",
                                "_id": "68dce7efae7a0cc2ba2af206"
                            }
                        ],
                        "_id": "68dce7efae7a0cc2ba2af200"
                    }
                ],
                "created_at": "2025-09-09T11:03:15.292Z",
                "updated_at": "2025-10-01T08:35:59.801Z",
                "__v": 0,
                "is_active": true,
                "timezone": "UTC+05:30",
                "code": "+91"
            },
            {
                "_id": "68d78e60e0d37b2a960cac0e",
                "name": "Singapore",
                "country_code": "SG",
                "currency": "SGD",
                "exchange_rate": 1.35,
                "logo": "https://upload.wikimedia.org/wikipedia/commons/4/48/Flag_of_Singapore.svg",
                "company_types": [
                    {
                        "key": "private_limited_company",
                        "label": "Private Limited Company",
                        "freezones": [
                            {
                                "key": "accounting_and_corporate_regulatory_authority_acra",
                                "label": "Accounting and Corporate Regulatory Authority (ACRA)",
                                "_id": "68dce7f4ae7a0cc2ba2af293"
                            }
                        ],
                        "_id": "68dce7f4ae7a0cc2ba2af292"
                    },
                    {
                        "key": "limited_liability_partnership_llp",
                        "label": "Limited Liability Partnership (LLP)",
                        "freezones": [
                            {
                                "key": "accounting_and_corporate_regulatory_authority_acra",
                                "label": "Accounting and Corporate Regulatory Authority (ACRA)",
                                "_id": "68dce7f4ae7a0cc2ba2af295"
                            }
                        ],
                        "_id": "68dce7f4ae7a0cc2ba2af294"
                    },
                    {
                        "key": "sole_proprietorship",
                        "label": "Sole Proprietorship",
                        "freezones": [
                            {
                                "key": "accounting_and_corporate_regulatory_authority_acra",
                                "label": "Accounting and Corporate Regulatory Authority (ACRA)",
                                "_id": "68dce7f4ae7a0cc2ba2af297"
                            }
                        ],
                        "_id": "68dce7f4ae7a0cc2ba2af296"
                    },
                    {
                        "key": "branch_office",
                        "label": "Branch Office",
                        "freezones": [
                            {
                                "key": "accounting_and_corporate_regulatory_authority_acra",
                                "label": "Accounting and Corporate Regulatory Authority (ACRA)",
                                "_id": "68dce7f4ae7a0cc2ba2af299"
                            }
                        ],
                        "_id": "68dce7f4ae7a0cc2ba2af298"
                    },
                    {
                        "key": "representative_office",
                        "label": "Representative Office",
                        "freezones": [
                            {
                                "key": "enterprise_singapore",
                                "label": "Enterprise Singapore",
                                "_id": "68dce7f4ae7a0cc2ba2af29b"
                            }
                        ],
                        "_id": "68dce7f4ae7a0cc2ba2af29a"
                    }
                ],
                "created_at": "2025-09-09T11:03:15.292Z",
                "updated_at": "2025-10-01T08:36:04.487Z",
                "__v": 0,
                "is_active": true,
                "timezone": "UTC+08:00",
                "code": "+65"
            },
            {
                "_id": "68c0095bd23bcd3a5d9e4bf7",
                "name": "United Arab Emirates",
                "country_code": "AE",
                "currency": "AED",
                "exchange_rate": 3.67,
                "logo": "https://base93uat.blob.core.windows.net/base93/dev/provider/logo/flag_of_the_united_arab_emirat_3a1e91f1a33b7c6b.png?sv=2025-07-05&spr=https&st=2025-10-01T08%3A16%3A14Z&se=2035-10-01T08%3A16%3A14Z&sr=b&sp=r&sig=M5sKv6RNFafCG72Kni%2BSI42CA22xlFV%2FQh46zyG%2BDjw%3D",
                "company_types": [
                    {
                        "key": "mainland",
                        "label": "Mainland",
                        "freezones": [
                            {
                                "key": "dubai",
                                "label": "Dubai",
                                "_id": "68dce628edad6a335899a9de"
                            },
                            {
                                "key": "abu_dhabi",
                                "label": "Abu Dhabi",
                                "_id": "68dce628edad6a335899a9df"
                            },
                            {
                                "key": "sharjah",
                                "label": "Sharjah",
                                "_id": "68dce628edad6a335899a9e0"
                            },
                            {
                                "key": "ajman",
                                "label": "Ajman",
                                "_id": "68dce628edad6a335899a9e1"
                            },
                            {
                                "key": "ras_al_khaimah",
                                "label": "Ras Al Khaimah",
                                "_id": "68dce628edad6a335899a9e2"
                            },
                            {
                                "key": "fujairah",
                                "label": "Fujairah",
                                "_id": "68dce628edad6a335899a9e3"
                            },
                            {
                                "key": "umm_al_quwain",
                                "label": "Umm Al Quwain",
                                "_id": "68dce628edad6a335899a9e4"
                            }
                        ],
                        "_id": "68dce628edad6a335899a9dd"
                    },
                    {
                        "key": "freezone",
                        "label": "Freezone",
                        "freezones": [
                            {
                                "key": "international_free_zone_authority_ifza",
                                "label": "International Free Zone Authority (IFZA)",
                                "_id": "68dce628edad6a335899a9e6"
                            },
                            {
                                "key": "dubai_multi_commodities_centre_dmcc",
                                "label": "Dubai Multi Commodities Centre (DMCC)",
                                "_id": "68dce628edad6a335899a9e7"
                            },
                            {
                                "key": "jebel_ali_free_zone_jafza",
                                "label": "Jebel Ali Free Zone (JAFZA)",
                                "_id": "68dce628edad6a335899a9e8"
                            },
                            {
                                "key": "dubai_airport_free_zone_dafza",
                                "label": "Dubai Airport Free Zone (DAFZA)",
                                "_id": "68dce628edad6a335899a9e9"
                            },
                            {
                                "key": "abu_dhabi_global_market_adgm",
                                "label": "Abu Dhabi Global Market (ADGM)",
                                "_id": "68dce628edad6a335899a9ea"
                            },
                            {
                                "key": "ras_al_khaimah_economic_zone_rakez",
                                "label": "Ras Al Khaimah Economic Zone (RAKEZ)",
                                "_id": "68dce628edad6a335899a9eb"
                            },
                            {
                                "key": "sharjah_media_city_shams",
                                "label": "Sharjah Media City (Shams)",
                                "_id": "68dce628edad6a335899a9ec"
                            },
                            {
                                "key": "fujairah_creative_city",
                                "label": "Fujairah Creative City",
                                "_id": "68dce628edad6a335899a9ed"
                            },
                            {
                                "key": "ajman_free_zone",
                                "label": "Ajman Free Zone",
                                "_id": "68dce628edad6a335899a9ee"
                            },
                            {
                                "key": "umm_al_quwain_free_trade_zone_uaq_ftz",
                                "label": "Umm Al Quwain Free Trade Zone (UAQ FTZ)",
                                "_id": "68dce628edad6a335899a9ef"
                            }
                        ],
                        "_id": "68dce628edad6a335899a9e5"
                    },
                    {
                        "key": "offshore",
                        "label": "Offshore",
                        "freezones": [
                            {
                                "key": "jafza_offshore",
                                "label": "JAFZA Offshore",
                                "_id": "68dce628edad6a335899a9f1"
                            },
                            {
                                "key": "rak_international_corporate_centre_rak_icc",
                                "label": "RAK International Corporate Centre (RAK ICC)",
                                "_id": "68dce628edad6a335899a9f2"
                            },
                            {
                                "key": "ajman_offshore",
                                "label": "Ajman Offshore",
                                "_id": "68dce628edad6a335899a9f3"
                            }
                        ],
                        "_id": "68dce628edad6a335899a9f0"
                    }
                ],
                "created_at": "2025-09-09T11:02:51.936Z",
                "updated_at": "2025-10-01T08:28:24.752Z",
                "__v": 0,
                "is_active": true,
                "timezone": "UTC+04:00",
                "code": "+971"
            },
            {
                "_id": "69039517a4d3ab2bd8e788f1",
                "name": "Bermuda",
                "code": "+1441",
                "logo": "https://flagcdn.com/bm.svg",
                "id": 25,
                "currency": "BMD",
                "timezone": "UTC-04:00",
                "is_active": true,
                "company_types": [],
                "country_code": "BM",
                "currency_symbol": "$"
            },
            {
                "_id": "69039517a4d3ab2bd8e788f4",
                "name": "Bosnia and Herzegovina",
                "code": "+387",
                "logo": "https://flagcdn.com/ba.svg",
                "id": 28,
                "currency": "BAM",
                "timezone": "UTC+01:00",
                "is_active": true,
                "company_types": [],
                "country_code": "BA",
                "currency_symbol": "KM"
            },
            {
                "_id": "69039517a4d3ab2bd8e788da",
                "name": "Åland Islands",
                "code": "+35818",
                "logo": "https://flagcdn.com/ax.svg",
                "id": 2,
                "currency": "EUR",
                "timezone": "UTC+02:00",
                "is_active": true,
                "company_types": [],
                "country_code": "AX",
                "currency_symbol": "€"
            },
            {
                "_id": "69039517a4d3ab2bd8e788f5",
                "name": "Botswana",
                "code": "+267",
                "logo": "https://flagcdn.com/bw.svg",
                "id": 29,
                "currency": "BWP",
                "timezone": "UTC+02:00",
                "is_active": true,
                "company_types": [],
                "country_code": "BW",
                "currency_symbol": "P"
            },
            {
                "_id": "69039517a4d3ab2bd8e788de",
                "name": "Andorra",
                "code": "+376",
                "logo": "https://flagcdn.com/ad.svg",
                "id": 6,
                "currency": "EUR",
                "timezone": "UTC+01:00",
                "is_active": true,
                "company_types": [],
                "country_code": "AD",
                "currency_symbol": "€"
            },
            {
                "_id": "69039517a4d3ab2bd8e788ea",
                "name": "Bahrain",
                "code": "+973",
                "logo": "https://flagcdn.com/bh.svg",
                "id": 18,
                "currency": "BHD",
                "timezone": "UTC+03:00",
                "is_active": true,
                "company_types": [],
                "country_code": "BH",
                "currency_symbol": ".د.ب"
            }
        ],
        "total": 246
    }
}
Modified at 2026-10-28 10:03:33
Previous
Get pricing packages
Next
Get a country
Built with